Desenvolvedor do Debian descobrem falha no Hyper-threading de CPUs Intel Skylake e...

Desenvolvedor do Debian descobrem falha no Hyper-threading de CPUs Intel Skylake e Kaby Lake

Compartilhar

As duas últimas gerações de processadores Intel, Skylake (6ª geração) e Kaby Lake (7ª geração) estão com uma falha na tecnologia Hyper-threading, responsável por dividir um núcleo físico em dois lógicos, com o intuito de melhorar o desempenho. O problema que foi encontrado pelo desenvolvedor do sistema Debian, Henrique de Moraes Holschu. A falha pode gerar um comportamento imprevisível,  que pode levar a erros e perda de dados. Além do Debian, que é baseado em Linux, sistemas como Windows e MacOS também podem passar pelo problema.

A grande maioria dos usuários desses processadores não devem ser afetado com a falha, já que o problema acontece um cenário bem específico. Usuários que utilizam esses chips juntamente com o compilador OCaml, são os que podem passar pelos problemas.

Enquanto ainda não há correção para o problema, já que depende de uma atualização de microcódigo dos processadores Intel e também uma atualização de BIOS/UEFI, o relatório oficial sobre a falha, sugere desabilitar temporariamente o Hyper-threading.

Fonte: Hardware.com.br